### Method

# Gtk CellArea copy_context

deprecated: 4.10

#### Declaration [src]

    GtkCellAreaContext*
    gtk_cell_area_copy_context (
      GtkCellArea* area,
      GtkCellAreaContext* context
    )

#### Description [src]

This is sometimes needed for cases where rows need to share alignments in one orientation but may be separately grouped in the opposing orientation.

For instance, `GtkIconView` creates all icons (rows) to have the same width and the cells theirin to have the same horizontal alignments. However each row of icons may have a separate collective height. `GtkIconView` uses this to request the heights of each row based on a context which was already used to request all the row widths that are to be displayed.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context to copy.

  The data is owned by the caller of the method.

#### Return value

Type: `GtkCellAreaContext`

A newly created `GtkCellArea`Context copy of `context`.

The caller of the method takes ownership of the data, and is responsible for freeing it.